touchAble 3.3.6 & compatibility with Live 10

touchAble & touchAble Mini are now completely compatible with the highly anticipated Live 10!

You can get the latest versions on the iOS App Store now. 
The Servers & Scripts have been update to version 3.7. Please make sure to install the latest version of both before you start using the latest app-version. 

Other changes include:

- Fixed issues that could happen when used with Live 9 on Windows.
- touchAble can now access Drum Racks that are nested within other Racks.
- Fixed access to Live's Library via the Browser
- Fixed possible issues with grouped tracks.
- Server & Connection improvements. 
And many other smaller fixes & improvements.

Hope you enjoy touchAble with Live 10 :)

Posted on March 7, 2018 .